Bug 988310 - Review Request: rubygem-mobileesp_converted - Provides device type detection based on HTTP request headers
Review Request: rubygem-mobileesp_converted - Provides device type detection ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josef Stribny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 05:38 EDT by Miroslav Suchý
Modified: 2016-01-04 00:51 EST (History)
4 users (show)

See Also:
Fixed In Version: rubygem-mobileesp_converted-0.2.1-6.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 23:04:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jstribny: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2013-07-25 05:38:00 EDT
Spec URL: http://miroslav.suchy.cz/fedora/rubygem-mobileesp_converted/rubygem-mobileesp_converted.spec
SRPM URL: http://miroslav.suchy.cz/fedora/rubygem-mobileesp_converted/rubygem-mobileesp_converted-0.2.1-4.fc19.src.rpm
Description: Autoconverted version (from Java to Ruby) of MobileESP library.
Fedora Account System Username: msuchy

Koji scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=5654830
Comment 1 Josef Stribny 2013-08-02 04:28:11 EDT
Taking.
Comment 2 Josef Stribny 2013-08-02 05:03:14 EDT
Please fix:

* Remove this commented line as it has no value nor purpose and it's confusing.
  #cp %{gem_name}.gemspec %{buildroot}/%{gem_spec}

* Remove shebang from non-executable Rakefile
  #!/usr/bin/env rake

* Remove BR on bundler. We try to avoid running test suites using bundler in Fedora. You should be able to run it without it by deleting its require from tests source code.
  BuildRequires: rubygem(bundler)

* Please ask upstream to include and include license in a separate license file, especially, because this gem is a derivative work.

Please consider:
 
* Consider keeping original .gemspec in %doc for clarification since you are generating your own.
  %exclude %{gem_instdir}/%{gem_name}.gemspec

Thanks.
Comment 3 Miroslav Suchý 2013-08-05 09:09:38 EDT
>Please ask upstream to include and include license in a separate license file, especially, because this gem is a derivative work.

https://github.com/jistr/mobileesp_converted/issues/2

All other items are updated:
Spec URL: http://miroslav.suchy.cz/fedora/rubygem-mobileesp_converted/rubygem-mobileesp_converted.spec
SRPM URL: http://miroslav.suchy.cz/fedora/rubygem-mobileesp_converted/rubygem-mobileesp_converted-0.2.1-5.fc19.src.rpm
Comment 4 Josef Stribny 2013-08-05 09:44:52 EDT
Thanks, it's looks good now.

I would personally move removal of bundler dep to %check, where it makes clearer why are you doing so. Please consider before pushing.

APPROVED.
Comment 5 Miroslav Suchý 2013-08-05 09:52:19 EDT
New Package SCM Request
=======================
Package Name: mobileesp_converted
Short Description: Provides device type detection based on HTTP request headers
Owners: msuchy
Branches: f19
InitialCC:
Comment 6 Gwyn Ciesla 2013-08-05 10:26:50 EDT
Requested package name mobileesp_converted doesn't match bug summary
rubygem-mobileesp_converted, please correct.
Comment 7 Miroslav Suchý 2013-08-05 10:47:00 EDT
New Package SCM Request
=======================
Package Name: rubygem-mobileesp_converted
Short Description: Provides device type detection based on HTTP request headers
Owners: msuchy
Branches: f19
InitialCC:
Comment 8 Gwyn Ciesla 2013-08-05 11:09:25 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-08-05 11:26:46 EDT
rubygem-mobileesp_converted-0.2.1-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-mobileesp_converted-0.2.1-6.fc19
Comment 10 Fedora Update System 2013-08-06 19:37:19 EDT
rubygem-mobileesp_converted-0.2.1-6.fc19 has been pushed to the Fedora 19 testing repository.
Comment 11 Fedora Update System 2013-08-14 23:04:58 EDT
rubygem-mobileesp_converted-0.2.1-6.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.